Index: trunk/DataCheck/Processing/FillAuxCurrents.sh
===================================================================
--- trunk/DataCheck/Processing/FillAuxCurrents.sh	(revision 17585)
+++ trunk/DataCheck/Processing/FillAuxCurrents.sh	(revision 17596)
@@ -51,5 +51,5 @@
    #   continue
    #fi
-
+   
    # check if aux files are available from that night
    if ! [ -d $auxdir ]
@@ -60,9 +60,18 @@
       printprocesslog "INFO processing files in "$auxdir
    fi
-   
+
+   rawdir=$rawdata/$date
+   # check if raw files are available from that night
+   if ! [ -d $rawdir ]
+   then
+      logtext="INFO"
+   else
+      logtext="WARN"
+   fi
+
    biasvoltagefile=$auxdir/$runnumber.BIAS_CONTROL_VOLTAGE.fits
    if ! [ -e $biasvoltagefile ]
    then 
-      printprocesslog "WARN "$biasvoltagefile" not found."
+      printprocesslog $logtext" "$biasvoltagefile" not found."
       continue
    else
@@ -77,5 +86,5 @@
    if ! [ -e $biascurrentfile ]
    then 
-      printprocesslog "WARN "$biascurrentfile" not found."
+      printprocesslog $logtext" "$biascurrentfile" not found."
       continue
    else
@@ -91,5 +100,5 @@
    if ! [ -e $feedbackcalfile ]
    then 
-      printprocesslog "WARN "$feedbackcalfile" not found."
+      printprocesslog $logtext" "$feedbackcalfile" not found."
       continue
    else
@@ -118,5 +127,5 @@
    if ! [ -e $calcurrentsfile ]
    then 
-      printprocesslog "WARN "$calcurrentsfile" not found."
+      printprocesslog $logtext" "$calcurrentsfile" not found."
       continue
    else
Index: trunk/DataCheck/Processing/FillAuxThresholds.sh
===================================================================
--- trunk/DataCheck/Processing/FillAuxThresholds.sh	(revision 17585)
+++ trunk/DataCheck/Processing/FillAuxThresholds.sh	(revision 17596)
@@ -59,4 +59,13 @@
    fi
    
+   rawdir=$rawdata/$date
+   # check if raw files are available from that night
+   if ! [ -d $rawdir ]
+   then
+      logtext="INFO"
+   else
+      logtext="WARN"
+   fi
+
    thresholdfile=$auxdir/$runnumber.RATE_CONTROL_THRESHOLD.fits
    printprocesslog "INFO processing "$thresholdfile
@@ -64,5 +73,5 @@
    if ! [ -e $thresholdfile ]
    then 
-      printprocesslog "WARN "$thresholdfile" not found."
+      printprocesslog $logtext" "$thresholdfile" not found."
       continue
    else
@@ -78,5 +87,5 @@
    if ! [ -e $thresholdfile2 ]
    then 
-      printprocesslog "WARN "$thresholdfile2" not found."
+      printprocesslog $logtext" "$thresholdfile2" not found."
       continue
    else
Index: trunk/DataCheck/Processing/FillEffectiveOn.sh
===================================================================
--- trunk/DataCheck/Processing/FillEffectiveOn.sh	(revision 17585)
+++ trunk/DataCheck/Processing/FillEffectiveOn.sh	(revision 17596)
@@ -47,9 +47,4 @@
    auxdir=$auxdata/$date
    runnumber=`echo $date | sed -e 's/\///g'`
-   
-#   if [ $runnumber -lt 20130301 ]
-#   then
-#      continue
-#   fi
 #   echo $auxdir" @ "`date` 
 
@@ -63,8 +58,17 @@
    fi
    
+   rawdir=$rawdata/$date
+   # check if raw files are available from that night
+   if ! [ -d $rawdir ]
+   then
+      logtext="INFO"
+   else
+      logtext="WARN"
+   fi
+
    ftmcontrolfile=$auxdir/$runnumber.FTM_CONTROL_TRIGGER_RATES.fits
    if ! [ -e $ftmcontrolfile ]
    then 
-      printprocesslog "WARN "$ftmcontrolfile" not found."
+      printprocesslog $logtext" "$ftmcontrolfile" not found."
       continue
    else
Index: trunk/DataCheck/Processing/FillRatescans.sh
===================================================================
--- trunk/DataCheck/Processing/FillRatescans.sh	(revision 17585)
+++ trunk/DataCheck/Processing/FillRatescans.sh	(revision 17596)
@@ -44,4 +44,13 @@
    fi
    
+   rawdir=$rawdata/$date
+   # check if raw files are available from that night
+   if ! [ -d $rawdir ]
+   then
+      logtext="INFO"
+   else
+      logtext="WARN"
+   fi
+
    ratescanfile=$auxdir/$runnumber.RATE_SCAN_DATA.fits
    printprocesslog "INFO processing "$ratescanfile
@@ -49,5 +58,5 @@
    if ! [ -e $ratescanfile ]
    then 
-      printprocesslog "WARN "$ratescanfile" not found."
+      printprocesslog $logtext" "$ratescanfile" not found."
       continue
    else
